vispa_pscan/static/html/manipulator.jade
tr.row.manipulator
  th.col-md-3(scope="row", data-bind="label")

  td.col-md-9

    input.form-control#readonly(type="text", tabindex="-1", readonly)

    input#slider(type="text")

    select.selectpicker.show-tick#dropdown

    span.dropdown.pull-right#manipulator-menu
      button.btn.btn-link(type="button", data-toggle="dropdown", title="Change the manipulator type", tabindex="-1")
        i.fa.fa-cog
      ul.dropdown-menu
        li.dropdown-header Manipulator type
        li
          a#type-auto(href="#")
            i.fa.fa-star
            span Auto
            i.fa.fa-check.pull-right
        li
          a#type-slider(href="#")
            i.fa.fa-sliders
            span Slider
            i.fa.fa-check.pull-right
        li
          a#type-dropdown(href="#")
            i.fa.fa-caret-square-o-down
            span Dropdown
            i.fa.fa-check.pull-right

vispa_pscan/static/html/manipulator.html

<tr class="row manipulator">
  <th scope="row" data-bind="label" class="col-md-3"></th>
  <td class="col-md-9">
    <input id="readonly" type="text" tabindex="-1" readonly="readonly" class="form-control"/>
    <input id="slider" type="text"/>
    <select id="dropdown" class="selectpicker show-tick"></select><span id="manipulator-menu" class="dropdown pull-right">
      <button type="button" data-toggle="dropdown" title="Change the manipulator type" tabindex="-1" class="btn btn-link"><i class="fa fa-cog"></i></button>
      <ul class="dropdown-menu">
        <li class="dropdown-header">Manipulator type</li>
        <li><a id="type-auto" href="#"><i class="fa fa-star"></i><span>Auto</span><i class="fa fa-check pull-right"></i></a></li>
        <li><a id="type-slider" href="#"><i class="fa fa-sliders"></i><span>Slider</span><i class="fa fa-check pull-right"></i></a></li>
        <li><a id="type-dropdown" href="#"><i class="fa fa-caret-square-o-down"></i><span>Dropdown</span><i class="fa fa-check pull-right"></i></a></li>
      </ul></span>
  </td>
</tr>
